Bug 1288726 - Handling of IDN domains are incomplete
Handling of IDN domains are incomplete
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-05 11:35 EST by Frank Büttner
Modified: 2016-07-19 14:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:34:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2015-12-05 11:35:27 EST
Description of problem:
Using evolution for IDN mail domains is not possible, because the support is incomplete.

Version-Release number of selected component (if applicable):
evolution-3.16.5-3.fc22.x86_64

How reproducible:
Send an mail from an IDN mail account.

Steps to Reproduce:
1. Add an new mail account for an IDN like foo@müller.de
2. send an mail

Actual results:
The mails is reject by the receiver, because the header are incorrect.  

Expected results:
Send mails will work.


Additional info:
When I look in the source code of the mail, all header field, will contain the IDN and not the puny code version of the mail domain.
The RCPT TO:<XXX> stuff while transmit is correct. Here the IDN will be translated to puny code.
Comment 1 Milan Crha 2015-12-14 08:41:21 EST
Thanks for a bug report. This wasn't discussed much in the time of the fix for an upstream bug [1], though I think the message headers are not supposed to be puny-coded, the puny-fication of the headers is left up to the clients. I do not know why the receiver rejects the message, especially when the SMTP sending part in the evolution tells the SMTP server to use the puny-fied version of the domains.

As you mention RCPT TO:, I suppose you use SMTP too.

Do you know the exact error message with which the receiving part rejected the message, please? 

[1] https://bugzilla.gnome.org/show_bug.cgi?id=486018
Comment 2 Fedora End Of Life 2016-07-19 14:34:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.